PHP Handbuch
Zurück | Kapitel 3. Installation | Nach vorne

# Komplette Liste der Konfigurationsoptionen

Nachstehend finden Sie eine Teil-Liste von Konfigurationsoptionen, welche von den PHP `configure` Skripten während des kompilierens in Unix-artigen Umgebungen verwendet werden. Die meisten Konfigurationsoptionen werden nicht hier, sondern in den ihnen entsprechenden Abschnitten aufgelistet. Um eine komplette und aktuelle Liste der Konfigurationsoptionen zu erhalten, starten Sie ./configure --help in Ihrem Verzeichnis mit den PHP Sourcecodes, nachdem Sie autoconf gestartet haben (siehe auch das Kapitel Installation). Informationen zu weiteren configure Optionen wie z.B. `--prefix=PREFIX` finden Sie in der Dokumentation von GNU configure.

> Anmerkung: Diese Optionen werden nur zur Kompilierzeit genutzt. Wenn Sie die Laufzeitkonfiguration von PHP ändern möchten, lesen Sie bitte unter Laufzeit Konfiguration nach.

- Grafik

- Verschiedenes

- PHP Verhalten

- Server

## Konfigurationsoptionen in PHP 4

> Anmerkung: Diese Optionen werden nur in PHP 4 mit Stand von PHP 4.1.0 verwendet. Manche davon sind auch in älteren Versionen von PHP 4 verfügbar, manche sogar in PHP 3, manche nur in PHP 4.1.0. Sollten Sie eine ältere Version von PHP kompilieren wollen kann es sein, dass manche Optionen nicht verfügbar sind.

### Grafikoptionen

`--with-imagick`

  Die imagick Erweiterung befindet sich nun in PECL von PEAR, und kann hier heruntergeladen werden. Die Installationsanweisungen für PHP 4 finden Sie auf der PEAR Site.

  Ein einfaches `--with-imagick` ist nur in PHP 3 möglich, außer Sie folgen den Instruktionen auf der PEAR Site.

### Verschiedene Optionen

`--enable-debug`

  Kompiliert mit Debug-Symbolen.

`--with-layout=TYPE`

  Setzt die Anordnung der installierten Dateien. Type ist entweder PHP (default) oder GNU.

`--with-pear=DIR`

  Installiert PEAR in DIR (default ist PREFIX/lib/php).

`--without-pear`

  Unterdrückt die Installation von PEAR.

`--enable-sigchild`

  Aktiviert den PHP-eigenen SIGCHLD Handler.

`--disable-rpath`

  Verhindert die Übergabe weiterer Suchpfade für Laufzeitbibliotheken.

`--enable-libgcc`

  Aktiviert das explizite Linken zur die libgcc.

`--enable-php-streams`

  Inkludiert die experimentellen PHP Streams. Verwenden Sie dies nicht, wenn Sie nicht den Code testen!

`--with-zlib-dir=<DIR>`

  Definiert das zlib Installationsverzeichnis.

`--enable-trans-sid`

  Aktiviert transparent session id propagation. Ist nur für PHP 4.1.2 oder kleiner gültig. Seit PHP 4.2.0 wird trans-sid immer kompiliert.

`--with-tsrm-pthreads`

  Verwendet POSIX threads (default).

`--enable-shared[=PKGS]`

  Erstellt verteilte Bibliotheken [default=yes].

`--enable-static[=PKGS]`

  Erstellt statische Bibliotheken [default=yes].

`--enable-fast-install[=PKGS]`

  Optimiert für schnelle Installation [default=yes].

`--with-gnu-ld`

  Nimmt an, dass der C Compiler GNU ld verwendet [default=no].

`--disable-libtool-lock`

  Vermeide locking (könnte sein, dass parallele Builds nicht funktionieren).

`--with-pic`

  Versucht, nur PIC/non-PIC Objekte zu verwenden [default=use both].

`--enable-memory-limit`

  Kompiliert mit Unterstützung für Speicherlimit.

`--disable-url-fopen-wrapper`

  Verhindert den URL-aware fopen wrapper, der den Zugriff auf Dateien über HTTP oder FTP erlaubt.

`--enable-versioning`

  Exportiert nur die benötigten Symbole. Siehe INSTALL für weitere Informationen.

`--with-imsp[=DIR]`

  Inkludiert IMSp Unterstützung (DIR ist das Include-Verzeichnis von IMSP und libimsp.a). Nur PHP 3!

`--with-mck[=DIR]`

  Inkludiert Cybercash MCK Unterstützung. DIR ist das cybercash mck Build Verzeichnis, default ist /usr/src/mck-3.2.0.3-linux. Hilfe finden Sie in extra/cyberlib. Nur PHP 3!

`--with-mod-dav=DIR`

  Inkludiert DAV Unterstützung durch Apache's mod_dav, DIR ist das Installationsverzeichnis von mod_dav (Nur Apache Modulversion!). Nur PHP 3!

`--enable-debugger`

  Kompiliert mit Funktionen zum remote debugging. Nur PHP 3!

`--enable-versioning`

  Nutzt die Vorteile der von Solaris 2.x und Linux unterstützten Versionierung und des Scoping. Nur PHP 3!

### PHP Optionen

`--enable-maintainer-mode`

  Aktiviert Regeln und Abhängigkeiten für make, welche für Leute die PHP nur gelegentlich installieren nicht nützlich (und manchmal verwirrend) sind.

`--with-config-file-path=PATH`

  Setzt den Pfad für die `php.ini`, default ist PREFIX/lib.

`--enable-safe-mode`

  Aktiviert safe mode standardmäßig.

`--with-exec-dir[=DIR]`

  Wenn in safe mode, sind ausführbare Dateien nur in DIR erlaubt. Default ist /usr/local/php/bin.

`--enable-magic-quotes`

  Aktiviert magic quotes standardmäßig.

`--disable-short-tags`

  Verhindert standardmäßig die Kurzform der <? Start Tags.

### SAPI Optionen

Die folgende Liste enthält die verfügbaren SAPI&s (`Server Application Programming Interface)` für PHP.

`--with-aolserver=DIR`

  Spezifiziert den Pfad zu dem installierten AOLserver.

`--with-apxs[=FILE]`

  Erstellt ein verteiltes Apache Modul. FILE ist der optionale Pfadname zu dem Apache apxs tool; default ist apxs. Spezifizieren Sie die Version von dem aktuell auf Ihrem System installierten apxs, und NICHT die, die sich in dem Apache Tarball befindet.

`--with-apache[=DIR]`

  Erstellt ein statisches Apache Modul. DIR ist das Top-Level Build-Verzeichnis, default ist `/usr/local/apache`.

`--with-mod_charset`

  Aktiviert Transfertabellen für mod_charset (Russischer Apache).

`--with-apxs2[=FILE]`

  Erstellt ein verteiltes Apace 2.0 Modul. FILE ist der optionale Pfad zu dem Apache apxs Tool. Default ist apxs.

`--with-caudium=DIR`

  Erstellt PHP als ein Pike Modul für den Gebrauch mit Caudium. DIR ist das Caudium Serververzeichnis. Default ist `/usr/local/caudium/server`.

`--disable-cli`

  Verfügbar seit PHP 4.3.0. Schaltet das Erstellen der CLI Version von PHP ab (dies erzwingt --without-pear). Weitere Informationen finden Sie im Abschnitt Using PHP from the command line.

`--enable-embed[=TYPE]`

  Aktiviert die Erstellung der eingebetteten SAPI Bibliothek. TYPE ist entweder `shared` oder `static`, default ist `shared`. Verfügbar seit PHP 4.3.0.

`--with-fhttpd[=DIR]`

  Erstellt ein fhttpd Modul. DIR ist das Verzeichnis mit den fhttpd Sources. Default ist `/usr/local/src/fhttpd`. Ist seit PHP 4.3.0 nicht mehr verfügbar

`--with-isapi=DIR`

  Erstellt PHP als ISAPI Modul für die Verwendung mit Zeus.

`--with-nsapi=DIR`

  Spezifiziert den Pfad zu dem installierten Netscape Server.

`--with-phttpd=DIR`

  Dzt. keine Information.

`--with-pi3web=DIR`

  Erstellt PHP als Modul für Pi3Web.

`--with-roxen=DIR`

  Erstellt PHP als Pike Modul. DIR ist das Roxen Hauptverzeichnis, gewöhnlich `/usr/local/roxen/server`.

`--enable-roxen-zts`

  Erstellt das Roxen Modul mit Zend Thread Safety.

`--with-servlet[=DIR]`

  Inkludiert Servlet Unterstützung. DIR ist das Installationsverzeichnis des JSDK. Dieses SAPI setzt voraus, dass die Java Erweiterung als verteilte Bibliothek erstellt wurde.

`--with-thttpd=SRCDIR`

  Erstellt PHP als thttpd Modul.

`--with-tux=MODULEDIR`

  Erstellt PHP als TUX Modul (Nur Linux).

`--with-webjames=SRCDIR`

  Erstellt PHP als ein WebJames Modul (nur RISC OS)

`--disable-cgi`

  Deaktiviert die Erstellung der CGI Version von PHP. Verfügbar seit PHP 4.3.0.

`--enable-force-cgi-redirect`

  Aktiviert die Sicherheitsprüfung für interne Umadressierungen am Server. Sie sollten dies verwenden, wenn Sie die CGI Version mit Apache benutzen.

`--enable-discard-path`

  Ist dies aktiviert, kann das PHP CGI Programm sicher ausserhalb des Web Trees platziert werden, und die Leute können die `.htaccess` Sicherheit nicht umgehen.

`--with-fastcgi`

  Erstellt PHP als ein FastCGI Programm. Ist seit PHP 4.3.0 nicht mehr verfügbar, stattdessen benutzen Sie bitte `--enable-fastcgi`.

`--enable-fastcgi`

  Ist dies aktiviert, wird das CGI Modul mit Unterstützung für FastCGI erstellt. Verfügbar seit PHP 4.3.0.

`--disable-path-info-check`

  Ist dies deaktiviert, werden Pfade wie z.B. `/info.php/test?a=b` nicht funktionieren. Verfügbar seit PHP 4.3.0.

Zurück | Zum Anfang | Nach vorne
Problems? | Nach oben | Konfiguration